import { NgModule }      from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { PageNotFoundComponent }  from './page-not-found.component';
import { CanDeactivateGuard } from './can-deactivate-guard.service';
import {CustomerComponent} from './customer/customer.component';

const routes: Routes = [
	{
	   path: '',
	   redirectTo: '/employee',
	   pathMatch: 'full'
	},
    {
        path: 'customer',
        component: CustomerComponent,
    },
	{
	   path: '**',
	   component: PageNotFoundComponent 
	}
];

@NgModule({
  imports: [ 
      RouterModule.forRoot(routes) 
  ],
  exports: [ 
      RouterModule 
  ],
  providers: [ 
      CanDeactivateGuard
  ],
})
export class AppRoutingModule { }  