import { Component } from '@angular/core';
import { FormBuilder } from '@angular/forms';
import { ActivatedRoute, Router } from '@angular/router';
import { DialogService } from '../../dialog.service';
import { Observable } from 'rxjs';

@Component({
	templateUrl: './add-employee.component.html'
})
export class AddEmployeeComponent {
	isAdding = false;
	constructor(
		private route: ActivatedRoute,
		private router: Router,
		private formBuilder: FormBuilder,
		private dialogService: DialogService) { }

	employeeForm = this.formBuilder.group({
		name: '',
		age: '',
		city: ''
	});
	onFormSubmit() {
		this.isAdding = true;
		let name = this.employeeForm.get('name')?.value ?? '';
		let age = this.employeeForm.get('age')?.value ?? '';
		let city = this.employeeForm.get('city')?.value ?? '';
	}
	canDeactivate(): Observable<boolean> | boolean {
		if (!this.isAdding && this.employeeForm.dirty) {
			return this.dialogService.confirm('Discard unsaved employee details?');
		}
		return true;
	}
}
