import { NgModule, inject } from '@angular/core';
import { RouterModule, RouterStateSnapshot, Routes } from '@angular/router';
import { EmployeeComponent } from './employee.component';
import { AddEmployeeComponent } from './add-employee/add-employee.component';
import { CanComponentDeactivate, CanDeactivateGuard } from '../can-deactivate-guard.service';

const employeeRoutes: Routes = [
	{
		path: 'employee',
		component: EmployeeComponent,
		children: [
			{
				path: 'add',
				component: AddEmployeeComponent,
				canDeactivate: [
					(component: CanComponentDeactivate, state: RouterStateSnapshot) =>
						inject(CanDeactivateGuard).canDeactivate(component, state)
				]
			}
		]
	}
];

@NgModule({
	imports: [RouterModule.forChild(employeeRoutes)],
	exports: [RouterModule]
})
export class EmployeeRoutingModule { }
